# NAME

wireshark - Interactively dump and analyze network traffic

# SYNOPSYS

wireshark [ -a <capture autostop condition> ] ... [ -b <capture ring buffer option> ] ... [ -B <capture buffer size (Win32 only)> ] [ -c <capture packet count> ] [ -C <configuration profile> ] [ -D ] [ --display=<X display to use> ] [ -f <capture filter> ] [ -g <packet number> ] [ -h ] [ -H ] [ -i <capture interface>|- ] [ -k ] [ -l ] [ -L ] [ -m <font> ] [ -n ] [ -N <name resolving flags> ] [ -o <preference/recent setting> ] ... [ -p ] [ -P <path setting>] [ -Q ] [ -r <infile> ] [ -R <read (display) filter> ] [ -S ] [ -s <capture snaplen> ] [ -t ad|a|r|d|dd|e ] [ -v ] [ -w <outfile> ] [ -y <capture link type> ] [ -X <eXtension option> ] [ -z <statistics> ] [ <infile> ]

# DESCRIPTION

Wireshark is a GUI network protocol analyzer. It lets you interactively browse packet data from a live network or from a previously saved capture file. Wireshark's native capture file format is libpcap format, which is also the format used by tcpdump and various other tools.

Wireshark can read / import the following file formats:

- libpcap, tcpdump and various other tools using tcpdump's capture format
- snoop and atmsnoop
- Shomiti/Finisar Surveyor captures
- Novell LANalyzer captures
- Microsoft Network Monitor captures
- AIX's iptrace captures
- Cinco Networks NetXRay captures
- Network Associates Windows-based Sniffer captures
- Network General/Network Associates DOS-based Sniffer (compressed or uncompressed) captures
- AG Group/WildPackets EtherPeek/TokenPeek/AiroPeek/EtherHelp/PacketGrabber captures
- RADCOM's WAN/LAN analyzer captures
- Network Instruments Observer version 9 captures
- Lucent/Ascend router debug output
- files from HP-UX's nettl
- Toshiba's ISDN routers dump output
- the output from i4btrace from the ISDN4BSD project
- traces from the EyeSDN USB S0.
- the output in IPLog format from the Cisco Secure Intrusion Detection System
- pppd logs (pppdump format)
- the output from VMS's TCPIPtrace/TCPtrace/UCX$TRACE utilities
- the text output from the DBS Etherwatch VMS utility
- Visual Networks' Visual UpTime traffic capture
- the output from CoSine L2 debug
- the output from Accellent's 5Views LAN agents
- Endace Measurement Systems' ERF format captures
- Linux Bluez Bluetooth stack hcidump -w traces
- Catapult DCT2000 .out files
- TamoSoft CommView files

There is no need to tell Wireshark what type of file you are reading; it will determine the file type by itself. Wireshark is also capable of reading any of these file formats if they are compressed using gzip. Wireshark recognizes this directly from the file; the '.gz' extension is not required for this purpose.

Like other protocol analyzers, Wireshark's main window shows 3 views of a packet. It shows a summary line, briefly describing what the packet is. A packet details display is shown, allowing you to drill down to exact protocol or field that you interested in. Finally, a hex dump shows you exactly what the packet looks like when it goes over the wire.

In addition, Wireshark has some features that make it unique. It can assemble all the packets in a TCP conversation and show you the ASCII (or EBCDIC, or hex) data in that conversation. Display filters in Wireshark are very powerful; more fields are filterable in Wireshark than in other protocol analyzers, and the syntax you can use to create your filters is richer. As Wireshark progresses, expect more and more protocol fields to be allowed in display filters.

Packet capturing is performed with the pcap library. The capture filter syntax follows the rules of the pcap library. This syntax is different from the display filter syntax.

Compressed file support uses (and therefore requires) the zlib library. If the zlib library is not present, Wireshark will compile, but will be unable to read compressed files.

The pathname of a capture file to be read can be specified with the -r option or can be specified as a command-line argument.

# OPTIONS

Most users will want to start Wireshark without options and configure it from the menus instead. Those users may just skip this section.

-a <capture autostop condition>

  Specify a criterion that specifies when Wireshark is to stop writing to a capture file. The criterion is of the form test:value, where test is one of:

  duration:value Stop writing to a capture file after value seconds have elapsed.

  filesize:value Stop writing to a capture file after it reaches a size of value kilobytes (where a kilobyte is 1024 bytes). If this option is used together with the -b option, Wireshark will stop writing to the current capture file and switch to the next one if filesize is reached.

  files:value Stop writing to capture files after value number of files were written.

-b <capture ring buffer option>

  Cause Wireshark to run in ``multiple files'' mode. In ``multiple files'' mode, Wireshark will write to several capture files. When the first capture file fills up, Wireshark will switch writing to the next file and so on.

  The created filenames are based on the filename given with the -w flag, the number of the file and on the creation date and time, e.g. outfile_00001_20050604120117.pcap, outfile_00001_20050604120523.pcap, ...

  With the files option it's also possible to form a ``ring buffer''. This will fill up new files until the number of files specified, at which point Wireshark will discard the data in the first file and start writing to that file and so on. If the files option is not set, new files filled up until one of the capture stop conditions match (or until the disk if full).

  The criterion is of the form key:value, where key is one of:

  duration:value switch to the next file after value seconds have elapsed, even if the current file is not completely filled up.

  filesize:value switch to the next file after it reaches a size of value kilobytes (where a kilobyte is 1024 bytes).

  files:value begin again with the first file after value number of files were written (form a ring buffer).

-B <capture buffer size (Win32 only)>

  Win32 only: set capture buffer size (in MB, default is 1MB). This is used by the the capture driver to buffer packet data until that data can be written to disk. If you encounter packet drops while capturing, try to increase this size.

-c <capture packet count>

  Set the maximum number of packets to read when capturing live data.

-C <configuration profile>

  Start with the given configuration profile.

-D

  Print a list of the interfaces on which Wireshark can capture, and exit. For each network interface, a number and an interface name, possibly followed by a text description of the interface, is printed. The interface name or the number can be supplied to the -i flag to specify an interface on which to capture.

  This can be useful on systems that don't have a command to list them (e.g., Windows systems, or UNIX systems lacking ifconfig -a); the number can be useful on Windows 2000 and later systems, where the interface name is a somewhat complex string.

  Note that ``can capture'' means that Wireshark was able to open that device to do a live capture; if, on your system, a program doing a network capture must be run from an account with special privileges (for example, as root), then, if Wireshark is run with the -D flag and is not run from such an account, it will not list any interfaces.

--display=<X display to use>

  Specifies the X display to use. A hostname and screen (otherhost:0.0) or just a screen (:0.0) can be specified. This option is not available under Windows.

-f <capture filter>

  Set the capture filter expression.

-g <packet number>

  After reading in a capture file using the -r flag, go to the given packet number.

-h

  Print the version and options and exit.

-H

  Hide the capture info dialog during live packet capture.

-i <capture interface>|-

  Set the name of the network interface or pipe to use for live packet capture.

  Network interface names should match one of the names listed in ``wireshark -D'' (described above); a number, as reported by ``wireshark -D'', can also be used. If you're using UNIX, ``netstat -i'' or ``ifconfig -a'' might also work to list interface names, although not all versions of UNIX support the -a flag to ifconfig.

  If no interface is specified, Wireshark searches the list of interfaces, choosing the first non-loopback interface if there are any non-loopback interfaces, and choosing the first loopback interface if there are no non-loopback interfaces. If there are no interfaces at all, Wireshark reports an error and doesn't start the capture.

  Pipe names should be either the name of a FIFO (named pipe) or ``-'' to read data from the standard input. Data read from pipes must be in standard libpcap format.

  Note: the Win32 version of Wireshark doesn't support capturing from pipes or stdin!

-k

  Start the capture session immediately. If the -i flag was specified, the capture uses the specified interface. Otherwise, Wireshark searches the list of interfaces, choosing the first non-loopback interface if there are any non-loopback interfaces, and choosing the first loopback interface if there are no non-loopback interfaces; if there are no interfaces, Wireshark reports an error and doesn't start the capture.

-l

  Turn on automatic scrolling if the packet display is being updated automatically as packets arrive during a capture (as specified by the -S flag).

-L

  List the data link types supported by the interface and exit.

-m <font>

  Set the name of the font used by Wireshark for most text. Wireshark will construct the name of the bold font used for the data in the byte view pane that corresponds to the field selected in the packet details pane from the name of the main text font.

-n

  Disable network object name resolution (such as hostname, TCP and UDP port names), the -N flag might override this one.

-N <name resolving flags>

  Turn on name resolving only for particular types of addresses and port numbers, with name resolving for other types of addresses and port numbers turned off. This flag overrides -n if both -N and -n are present. If both -N and -n flags are not present, all name resolutions are turned on.

  The argument is a string that may contain the letters:

  m to enable MAC address resolution

  n to enable network address resolution

  t to enable transport-layer port number resolution

  C to enable concurrent (asynchronous) DNS lookups

-o <preference/recent setting>

  Set a preference or recent value, overriding the default value and any value read from a preference/recent file. The argument to the flag is a string of the form prefname:value, where prefname is the name of the preference/recent value (which is the same name that would appear in the preference/recent file), and value is the value to which it should be set. Since Ethereal 0.10.12, the recent settings replaces the formerly used -B, -P and -T flags to manipulate the GUI dimensions.

  If prefname is ``uat'', you can override settings in various user access tables using the form uat:uat filename:uat record. uat filename must be the name of a UAT file, e.g. user_dlts. uat_record must be in the form of a valid record for that file, including quotes. For instance, to specify a user DLT from the command line, you would use

-o ``uat:user_dlts:\''User 0 (DLT=147)\``,\''cops\``,\''0\``,\''\``,\''0\``,\''\``''

-p

  Don't put the interface into promiscuous mode. Note that the interface might be in promiscuous mode for some other reason; hence, -p cannot be used to ensure that the only traffic that is captured is traffic sent to or from the machine on which Wireshark is running, broadcast traffic, and multicast traffic to addresses received by that machine.

-P <path setting>

  Special path settings usually detected automatically. This is used for special cases, e.g. starting Wireshark from a known location on an USB stick.

  The criterion is of the form key:path, where key is one of:

  persconf:path path of personal configuration files, like the preferences files.

  persdata:path path of personal data files, it's the folder initially opened. After the very first initilization, the recent file will keep the folder last used.

-Q

  Cause Wireshark to exit after the end of capture session (useful in batch mode with -c option for instance); this option requires the -i and -w parameters.

-r <infile>

  Read packet data from infile, can be any supported capture file format (including gzipped files). It's not possible to use named pipes or stdin here!

-R <read (display) filter>

  When reading a capture file specified with the -r flag, causes the specified filter (which uses the syntax of display filters, rather than that of capture filters) to be applied to all packets read from the capture file; packets not matching the filter are discarded.

-S

  Automatically update the packet display as packets are coming in.

-s <capture snaplen>

  Set the default snapshot length to use when capturing live data. No more than snaplen bytes of each network packet will be read into memory, or saved to disk.

-t ad|a|r|d|dd|e

  Set the format of the packet timestamp displayed in the packet list window, the default is relative. The format can be one of:

  ad absolute with date: The absolute date and time is the actual time and date the packet was captured

  a absolute: The absolute time is the actual time the packet was captured, with no date displayed

  r relative: The relative time is the time elapsed between the first packet and the current packet

  d delta: The delta time is the time since the previous packet was captured

  dd delta_displayed: The delta_displayed time is the time since the previous displayed packet was captured

  e epoch: The time in seconds since epoch (Jan 1, 1970 00:00:00)

-v

  Print the version and exit.

-w <outfile>

  Set the default capture file name.

-y <capture link type>

  If a capture is started from the command line with -k, set the data link type to use while capturing packets. The values reported by -L are the values that can be used.

-X <eXtension options>

  Specify an option to be passed to an Wireshark module. The eXtension option is in the form extension_key:value, where extension_key can be:

  lua_script:lua_script_filename tells Wireshark to load the given script in addition to the default Lua scripts.

-z <statistics>

  Get Wireshark to collect various types of statistics and display the result in a window that updates in semi-real time. Currently implemented statistics are:

  -z dcerpc,srt,uuid,major.minor[,filter]

  Collect call/reply SRT (Service Response Time) data for DCERPC interface uuid, version major.minor. Data collected is number of calls for each procedure, MinSRT, MaxSRT and AvgSRT. Example: use -z dcerpc,srt,12345778-1234-abcd-ef00-0123456789ac,1.0 to collect data for CIFS SAMR Interface. This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z dcerpc,srt,12345778-1234-abcd-ef00-0123456789ac,1.0,ip.addr==1.2.3.4 to collect SAMR SRT statistics for a specific host.

  -z io,stat

  Collect packet/bytes statistics for the capture in intervals of 1 seconds. This option will open a window with up to 5 color-coded graphs where number-of-packets-per-second or number-of-bytes-per-second statistics can be calculated and displayed.

  This option can be used multiple times on the command line.

  This graph window can also be opened from the Analyze:Statistics:Traffic:IO-Stat menu item.

  -z rpc,srt,program,version[,<filter>]

  Collect call/reply SRT (Service Response Time) data for program/version. Data collected is number of calls for each procedure, MinSRT, MaxSRT and AvgSRT. Example: use -z rpc,srt,100003,3 to collect data for NFS v3. This option can be used multiple times on the command line.

  If the optional filter string is provided, the stats will only be calculated on those calls that match that filter. Example: use -z rpc,srt,100003,3,nfs.fh.hash==0x12345678 to collect NFS v3 SRT statistics for a specific file.

  -z rpc,programs

  Collect call/reply RTT data for all known ONC-RPC programs/versions. Data collected is number of calls for each protocol/version, MinRTT, MaxRTT and AvgRTT.

  -z scsi,srt,cmdset[,<filter>]

  Collect call/reply SRT (Service Response Time) data for SCSI commandset <cmdset>.

  Commandsets are 0:SBC 1:SSC 5:MMC

  Data collected is number of calls for each procedure, MinSRT, MaxSRT and AvgSRT. Example: use -z scsi,srt,0 to collect data for SCSI BLOCK COMMANDS (SBC). This option can be used multiple times on the command line.

  If the optional filter string is provided, the stats will only be calculated on those calls that match that filter. Example: use -z scsi,srt,0,ip.addr==1.2.3.4 to collect SCSI SBC SRT statistics for a specific iscsi/ifcp/fcip host.

  -z smb,srt[,filter]

  Collect call/reply SRT (Service Response Time) data for SMB. Data collected is number of calls for each SMB command, MinSRT, MaxSRT and AvgSRT. Example: use -z smb,srt.

  The data will be presented as separate tables for all normal SMB commands, all Transaction2 commands and all NT Transaction commands. Only those commands that are seen in the capture will have its stats displayed. Only the first command in a xAndX command chain will be used in the calculation. So for common SessionSetupAndX + TreeConnectAndX chains, only the SessionSetupAndX call will be used in the statistics. This is a flaw that might be fixed in the future.

  This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``smb,srt,ip.addr==1.2.3.4'' to only collect stats for SMB packets echanged by the host at IP address 1.2.3.4 .

  -z fc,srt[,filter]

  Collect call/reply SRT (Service Response Time) data for FC. Data collected is number of calls for each Fibre Channel command, MinSRT, MaxSRT and AvgSRT. Example: use -z fc,srt. The Service Response Time is calculated as the time delta between the First packet of the exchange and the Last packet of the exchange.

  The data will be presented as separate tables for all normal FC commands, Only those commands that are seen in the capture will have its stats displayed.

  This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``fc,srt,fc.id==01.02.03'' to only collect stats for FC packets echanged by the host at FC address 01.02.03 .

  -z ldap,srt[,filter]

  Collect call/reply SRT (Service Response Time) data for LDAP. Data collected is number of calls for each implemented LDAP command, MinSRT, MaxSRT and AvgSRT. Example: use -z ldap,srt. The Service Response Time is calculated as the time delta between the Request and the Response.

  The data will be presented as separate tables for all implemented LDAP commands, Only those commands that are seen in the capture will have its stats displayed.

  This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``ldap,srt,ip.addr==10.1.1.1'' to only collect stats for LDAP packets echanged by the host at IP address 10.1.1.1 .

  The only LDAP command that are currently implemented and the stats will be available for are: BIND SEARCH MODIFY ADD DELETE MODRDN COMPARE EXTENDED

  -z mgcp,srt[,filter]

  Collect requests/response SRT (Service Response Time) data for MGCP. This is similar to -z smb,srt). Data collected is number of calls for each known MGCP Type, Minimum SRT, Maximum SRT and Average SRT. Example: use -z mgcp,srt.

  This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``mgcp,srt,ip.addr==1.2.3.4'' to only collect stats for MGCP packets exchanged by the host at IP address 1.2.3.4 .

  -z conv,type[,filter]

  Create a table that lists all conversations that could be seen in the capture. type specifies for which type of conversation we want to generate the statistics; currently the supported ones are

        "eth"   Ethernet
        "fc"    Fibre Channel addresses
        "fddi"  FDDI addresses
        "ip"    IP addresses
        "ipx"   IPX addresses
        "tcp"   TCP/IP socket pairs   Both IPv4 and IPv6 are supported
        "tr"    TokenRing
        "udp"   UDP/IP socket pairs   Both IPv4 and IPv6 are supported

  If the optional filter string is specified, only those packets that match the filter will be used in the calculations.

  The table is presented with one line for each conversation and displays number of packets/bytes in each direction as well as total number of packets/bytes. By default, the table is sorted according to total number of packets.

  These tables can also be generated at runtime by selecting the appropriate conversation type from the menu ``Tools/Statistics/Conversation List/''.

  -z h225,counter[,filter]

  Count ITU-T H.225 messages and their reasons. In the first column you get a list of H.225 messages and H.225 message reasons, which occur in the current capture file. The number of occurences of each message or reason is displayed in the second column.

  Example: use -z h225,counter.

  This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``h225,counter,ip.addr==1.2.3.4'' to only collect stats for H.225 packets exchanged by the host at IP address 1.2.3.4 .

  -z h225,srt[,filter]

  Collect requests/response SRT (Service Response Time) data for ITU-T H.225 RAS. Data collected is number of calls of each ITU-T H.225 RAS Message Type, Minimum SRT, Maximum SRT, Average SRT, Minimum in Packet, and Maximum in Packet. You will also get the number of Open Requests (Unresponded Requests), Discarded Responses (Responses without matching request) and Duplicate Messages. Example: use -z h225,srt.

  This option can be used multiple times on the command line.

  If the optional filterstring is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``h225,srt,ip.addr==1.2.3.4'' to only collect stats for ITU-T H.225 RAS packets exchanged by the host at IP address 1.2.3.4 .

  -z sip,stat[,filter]

  This option will activate a counter for SIP messages. You will get the number of occurences of each SIP Method and of each SIP Status-Code. Additionally you also get the number of resent SIP Messages (only for SIP over UDP).

  Example: use -z sip,stat.

  This option can be used multiple times on the command line.

  If the optional filter string is provided, the stats will only be calculated on those calls that match that filter. Example: use -z ``sip,stat,ip.addr==1.2.3.4'' to only collect stats for SIP packets exchanged by the host at IP address 1.2.3.4 .

  -z voip,calls

  This option will show a window that shows VoIP calls found in the capture file. This is the same window shown as when you go to the Statistics Menu and choose VoIP Calls.

  Example: use -z voip,calls

# INTERFACE

## MENU ITEMS

File:Open
File:Open Recent
File:Close

  Open or close a capture file. The File:Open dialog box allows a filter to be specified; when the capture file is read, the filter is applied to all packets read from the file, and packets not matching the filter are discarded. The File:Open Recent is a submenu and will show a list of previously opened files.

File:Merge

  Merge another capture file to the currently loaded one. The File:Merge dialog box allows the merge ``Prepended'', ``Chronologically'' or ``Appended'', relative to the already loaded one.

File:Save
File:Save As

  Save the current capture, or the packets currently displayed from that capture, to a file. Check boxes let you select whether to save all packets, or just those that have passed the current display filter and/or those that are currently marked, and an option menu lets you select (from a list of file formats in which at particular capture, or the packets currently displayed from that capture, can be saved), a file format in which to save it.

File:File Set:List Files

  Show a dialog box that lists all files of the file set matching the currently loaded file. A file set is a compound of files resulting from a capture using the ``multiple files'' / ``ringbuffer'' mode, recognizable by the filename pattern, e.g.: Filename_00001_20050604101530.pcap.

File:File Set:Next File
File:File Set:Previous File

  If the currently loaded file is part of a file set (see above), open the next / previous file in that set.

File:Export

  Export captured data into an external format. Note: the data cannot be imported back into Wireshark, so be sure to keep the capture file.

File:Print

  Print packet data from the current capture. You can select the range of packets to be printed (which packets are printed), and the output format of each packet (how each packet is printed). The output format will be similar to the displayed values, so a summary line, the packet details view, and/or the hex dump of the packet can be printed.

  Printing options can be set with the Edit:Preferences menu item, or in the dialog box popped up by this menu item.

File:Quit

  Exit the application.

Edit:Copy:As Filter

  Create a display filter based on the data currently highlighted in the packet details and copy that filter to the clipboard.

  If that data is a field that can be tested in a display filter expression, the display filter will test that field; otherwise, the display filter will be based on the absolute offset within the packet. Therefore it could be unreliable if the packet contains protocols with variable-length headers, such as a source-routed token-ring packet.

Edit:Find Packet

  Search forward or backward, starting with the currently selected packet (or the most recently selected packet, if no packet is selected). Search criteria can be a display filter expression, a string of hexadecimal digits, or a text string.

  When searching for a text string, you can search the packet data, or you can search the text in the Info column in the packet list pane or in the packet details pane.

  Hexadecimal digits can be separated by colons, periods, or dashes. Text string searches can be ASCII or Unicode (or both), and may be case insensitive.

Edit:Find Next
Edit:Find Previous

  Search forward / backward for a packet matching the filter from the previous search, starting with the currently selected packet (or the most recently selected packet, if no packet is selected).

Edit:Time Reference:Set Time Reference (toggle)

  Set (or unset if currently set) the selected packet as a Time Reference packet. When a packet is set as a Time Reference packet, the timestamps in the packet list pane will be replaced with the string ``*REF*''. The relative time timestamp in later packets will then be calculated relative to the timestamp of this Time Reference packet and not the first packet in the capture.

  Packets that have been selected as Time Reference packets will always be displayed in the packet list pane. Display filters will not affect or hide these packets.

  If there is a column displayed for ``Culmulative Bytes'' this counter will be reset at every Time Reference packet.

Edit:Time Reference:Find Next
Edit:Time Reference:Find Previous

  Search forward / backward for a time referenced packet.

Edit:Mark Packet (toggle)

  Mark (or unmark if currently marked) the selected packet. The field ``frame.marked'' is set for packets that are marked, so that, for example, a display filters can be used to display only marked packets, and so that the Edit:Find Packet dialog can be used to find the next or previous marked packet.

Edit:Mark All Packets
Edit:Unmark All Packets

  Mark / Unmark all packets that are currently displayed.

Edit:Configuration Profiles

  Manage configuration profiles to be able to use more than one set of preferences and configurations.

Edit:Preferences

  Set the GUI, capture, printing and protocol options (see Preferences dialog below).

View:Main Toolbar
View:Filter Toolbar
View:Statusbar

  Show or hide the main window controls.

View:Packet List
View:Packet Details
View:Packet Bytes

  Show or hide the main window panes.

View:Time Display Format

  Set the format of the packet timestamp displayed in the packet list window.

View:Name Resolution:Resolve Name

  Try to resolve a name for the currently seleted item.

View:Name Resolution:Enable for ... Layer

  Enable or disable translation of addresses to names in the display.

View:Colorize Packet List

  Enable or disable the coloring rules. Disabling will improve performance.

View:Auto Scroll in Live Capture

  Enable or disable the automatic scrolling of the packet list while a live capture is in progress.

View:Zoom In
View:Zoom Out

  Zoom into / out of the main window data (by changing the font size).

View:Normal Size

  Reset the zoom factor of zoom in / zoom out back to normal font size.

View:Resize All Columns

  Resize all columns to best fit the current packet display.

View:Expand Subtrees

  Expands the currently selected item and it's subtrees in the packet details.

View:Expand All
View:Collapse All

  Expand / Collapse all branches of the packet details.

View:Coloring Rules

  Change the foreground and background colors of the packet information in the list of packets, based upon display filters. The list of display filters is applied to each packet sequentially. After the first display filter matches a packet, any additional display filters in the list are ignored. Therefore, if you are filtering on the existence of protocols, you should list the higher-level protocols first, and the lower-level protocols last.

How Colorization Works

  Packets are colored according to a list of color filters. Each filter consists of a name, a filter expression and a coloration. A packet is colored according to the first filter that it matches. Color filter expressions use exactly the same syntax as display filter expressions.

  When Wireshark starts, the color filters are loaded from:

1. The user's personal color filters file or, if that does not exist,

2. The global color filters file.

If neither of these exist then the packets will not be colored.

View:Show Packet In New Window

  Create a new window containing a packet details view and a hex dump window of the currently selected packet; this window will continue to display that packet's details and data even if another packet is selected.

View:Reload

  Reload a capture file. Sa